Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 107811

Summary: new ebuild for ttb - TeleText Browser for Dutch teletext pages from NOS
Product: Gentoo Linux Reporter: Dick Marinus <dick>
Component: New packagesAssignee: Default Assignee for New Packages <maintainer-wanted>
Status: CONFIRMED ---    
Severity: normal CC: sambesselink, szarpaj
Priority: Normal Keywords: EBUILD, InOverlay
Version: 2005.1   
Hardware: All   
OS: Linux   
URL: http://www.djcbsoftware.nl/code/ttb/
Whiteboard: sunrise-removal
Package list:
Runtime testing required: ---
Attachments: ttb-0.9.2.ebuild
ttb-0.9.2.ebuild
ttb-0.9.3.ebuild
www-client/ttb-0.9.4.ebuild
ttb-0.9.4-nodisplay.patch
www-client/ttb-0.9.4.ebuild
www-client/ttb-0.9.4.ebuild
ttb-0.9.4-nodisplay.patch
Ebuild without python-setup
Build.log

Description Dick Marinus 2005-10-01 12:24:48 UTC
a nice python script even referenced from the official site as a linux browser:
http://teletekst.nos.nl/ (search for Linux)
Comment 1 Dick Marinus 2005-10-01 12:25:18 UTC
Created attachment 69653 [details]
ttb-0.9.2.ebuild
Comment 2 Ciaran McCreesh 2005-10-01 14:06:27 UTC
Please fix the following and reopen:

* http://dev.gentoo.org/~ciaranm/docs/mw-faq/hardcoded.txt
* You can kill the RDEPEND= line.
Comment 3 Dick Marinus 2005-10-02 03:12:23 UTC
Created attachment 69698 [details]
ttb-0.9.2.ebuild

whoops, you are right
Comment 4 Dick Marinus 2005-10-02 03:13:06 UTC
fixed
Comment 5 Dick Marinus 2005-11-17 14:15:43 UTC
Created attachment 73108 [details]
ttb-0.9.3.ebuild
Comment 6 Dick Marinus 2006-08-20 12:35:59 UTC
Created attachment 94722 [details]
www-client/ttb-0.9.4.ebuild

latest version
Comment 7 Dick Marinus 2006-08-20 12:36:42 UTC
Created attachment 94724 [details]
ttb-0.9.4-nodisplay.patch

dirty hack, I've send it upstream.
Comment 8 adr 2006-11-15 12:15:39 UTC
Nice ebuild. I think it's ready for the tree... :-)

One thing maybe... Correct me if I'm wrong, but isn't it:
DEPEND="dev-python/setuptools"
RDEPEND="dev-python/pygtk" ?

djcb mentions the Python-Dev packet needed for installation, and pygtk at runtime (in both cases the right python installation is implied).
Comment 9 Dick Marinus 2006-11-18 01:45:35 UTC
Created attachment 102247 [details]
www-client/ttb-0.9.4.ebuild

thank you Alwin, I can emerge the ebuild without setuptools so I skipped that one.
Comment 10 Dick Marinus 2006-11-18 02:57:08 UTC
Created attachment 102252 [details]
www-client/ttb-0.9.4.ebuild

feedback from gentoo-sunrise
Comment 11 Dick Marinus 2006-11-18 02:57:44 UTC
Created attachment 102253 [details, diff]
ttb-0.9.4-nodisplay.patch

feedback from gentoo-sunrise
Comment 12 Sam 2008-03-26 21:25:21 UTC
Why use python-setup?

Here's an ebuild that just copies files... seems way easier to me. (See attach.)
Comment 13 Sam 2008-03-26 21:26:16 UTC
Created attachment 147410 [details]
Ebuild without python-setup
Comment 14 Johan Bergström 2010-07-28 12:25:11 UTC
This package will soon be masked in sunrise since it uses a deprecated python
syntax (NEED_PYTHON). Please see
http://www.gentoo.org/proj/en/Python/developersguide.xml for more information
about developing python ebuilds.

If you want too keep this ebuild alive, please join us on irc (#gentoo-sunrise,
freenode) and provide an updated ebuild. Thanks.
Comment 15 Piotr Szymaniak 2011-07-03 19:50:32 UTC
Created attachment 278955 [details]
Build.log

kript compiler # emerge --info =www-client/ttb-0.9.4
Portage 2.2.0_alpha43 (default/linux/amd64/10.0, gcc-4.6.0, glibc-2.13-r2, 2.6.39.2 x86_64)
=================================================================
                        System Settings
=================================================================
System uname: Linux-2.6.39.2-x86_64-AMD_Sempron-tm-_Processor_3000+-with-gentoo-2.0.3
Timestamp of tree: Fri, 01 Jul 2011 20:45:01 +0000
ccache version 3.1.5 [enabled]
app-shells/bash:          4.2_p10
dev-lang/python:          2.7.2, 3.2
dev-util/ccache:          3.1.5
dev-util/cmake:           2.8.4-r1
dev-util/pkgconfig:       0.26
sys-apps/baselayout:      2.0.3
sys-apps/openrc:          0.8.3-r1
sys-apps/sandbox:         2.5
sys-devel/autoconf:       2.68
sys-devel/automake:       1.10.3, 1.11.1-r1
sys-devel/binutils:       2.21.1
sys-devel/gcc:            4.5.2, 4.6.0
sys-devel/gcc-config:     1.4.1-r1
sys-devel/libtool:        2.4-r1
sys-devel/make:           3.82-r1
sys-kernel/linux-headers: 2.6.38 (virtual/os-headers)
sys-libs/glibc:           2.13-r2
Repositories: gentoo xarthisius sunrise roslin
Installed sets: 
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="* -@EULA"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=nocona -mno-sse3 -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo"
CXXFLAGS="-march=nocona -mno-sse3 -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
FEATURES="assume-digests binpkg-logs ccache distlocks ebuild-locks fixlafiles fixpackages news parallel-fetch preserve-libs protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch"
FFLAGS=""
GENTOO_MIRRORS="http://distfiles.ift.uni.wroc.pl/"
LANG="pl_PL.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j2"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/xarthisius /var/lib/layman/sunrise /var/lib/layman/roslin"
SYNC="rsync://rsync1.pl.gentoo.org/gentoo-portage"
USE="acl amd64 berkdb bzip2 cli cracklib crypt cxx dri fortran gdbm iconv ipv6 mmx modules mudflap multilib ncurses nptl nptlonly openmp pam pcre perl pppd python readline session sse sse2 ssl sysfs tcpd unicode xorg zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="braindump flow karbon kexi kpresenter krita tables words" CAMERAS="ptp2" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" INPUT_DEVICES="keyboard mouse evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" PHP_TARGETS="php5-3" RUBY_TARGETS="ruby18" USERLAND="GNU" VIDEO_CARDS="fbdev glint intel mach64 mga neomagic nouveau nv r128 radeon savage sis tdfx trident vesa via vmware dummy v4l" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account" 
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, INSTALL_MASK, LC_ALL, LINGUAS, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS



kript compiler # emerge -pqv =www-client/ttb-0.9.4
[ebuild  N    ] x11-proto/xproto-7.0.22  USE="-doc" 
[ebuild  N    ] x11-proto/xextproto-7.2.0  USE="-doc" 
[ebuild  N    ] media-libs/freetype-2.4.5  USE="-X -auto-hinter -bindist -debug -doc -fontforge -static-libs -utils" 
[ebuild  N    ] x11-proto/inputproto-2.0.2 
[ebuild  N    ] x11-proto/renderproto-0.11.1 
[ebuild  N    ] x11-libs/xtrans-1.2.6  USE="-doc" 
[ebuild  N    ] x11-proto/damageproto-1.2.1 
[ebuild  N    ] x11-proto/kbproto-1.0.5 
[ebuild  N    ] media-libs/libpng-1.4.7  USE="-apng -static-libs" 
[ebuild  N    ] dev-python/numpy-1.6.0  USE="-doc -lapack -test" 
[ebuild  N    ] dev-python/pygobject-2.28.6  USE="cairo -doc -examples (-introspection) -libffi -test" 
[ebuild  N    ] x11-proto/randrproto-1.3.2 
[ebuild  N    ] x11-proto/compositeproto-0.4.2 
[ebuild  N    ] x11-proto/xf86bigfontproto-1.2.0 
[ebuild  N    ] dev-libs/libxslt-1.1.26-r1  USE="crypt python -debug" 
[ebuild  N    ] x11-misc/util-macros-1.15.0 
[ebuild  N    ] media-fonts/font-util-1.2.0 
[ebuild  N    ] x11-proto/xcb-proto-1.6-r1 
[ebuild  N    ] dev-libs/libpthread-stubs-0.3  USE="-static-libs" 
[ebuild  N    ] dev-perl/XML-Parser-2.410.0 
[ebuild  N    ] x11-libs/pixman-0.22.0  USE="mmx sse2 (-altivec) (-neon) -static-libs" 
[ebuild  N    ] dev-libs/gobject-introspection-0.10.8  USE="-doc -test" 
[ebuild  N    ] x11-proto/fixesproto-5.0 
[ebuild  N    ] x11-libs/libICE-1.0.7  USE="ipv6 -doc -static-libs" 
[ebuild  N    ] x11-libs/libXdmcp-1.1.0  USE="-doc -static-libs" 
[ebuild  N    ] x11-libs/libXau-1.0.6  USE="-static-libs" 
[ebuild  N    ] dev-util/intltool-0.41.1 
[ebuild  N    ] dev-libs/atk-1.32.0-r1  USE="introspection -doc -nls" 
[ebuild  N    ] x11-misc/shared-mime-info-0.90 
[ebuild  N    ] x11-libs/libSM-1.2.0  USE="ipv6 uuid -doc -static-libs" 
[ebuild  N    ] x11-libs/libxcb-1.7  USE="-doc (-selinux) -static-libs" 
[ebuild  N    ] x11-libs/libX11-1.4.3  USE="ipv6 -doc -static-libs -test" 
[ebuild  N    ] x11-libs/libXrender-0.9.6  USE="-static-libs" 
[ebuild  N    ] x11-libs/libXext-1.3.0  USE="-doc -static-libs" 
[ebuild  N    ] x11-libs/libXfixes-5.0  USE="-static-libs" 
[ebuild  N    ] x11-libs/gdk-pixbuf-2.22.1-r1  USE="X introspection -debug -doc -jpeg -jpeg2k -svg -test -tiff" 
[ebuild  N    ] x11-libs/libXt-1.1.1  USE="-static-libs" 
[ebuild  N    ] x11-libs/libXcursor-1.1.11  USE="-static-libs" 
[ebuild  N    ] x11-libs/libXdamage-1.1.3  USE="-static-libs" 
[ebuild  N    ] x11-libs/libXcomposite-0.4.3-r1  USE="-doc -static-libs" 
[ebuild  N    ] x11-libs/libXrandr-1.3.1  USE="-static-libs" 
[ebuild  N    ] x11-libs/libXi-1.4.3  USE="-doc -static-libs" 
[ebuild  N    ] media-libs/fontconfig-2.8.0-r1  USE="-doc" 
[ebuild  N    ] app-admin/eselect-fontconfig-1.1 
[ebuild  N    ] media-fonts/dejavu-2.33  USE="-X -fontforge" 
[ebuild  N    ] virtual/ttf-fonts-1 
[ebuild  N    ] x11-libs/libXft-2.2.0  USE="-static-libs" 
[ebuild  N    ] x11-libs/cairo-1.10.2-r1  USE="X glib svg (-aqua) -debug -directfb -doc (-drm) (-gallium) -opengl (-openvg) -qt4 -static-libs -xcb" 
[ebuild  N    ] x11-libs/pango-1.28.4  USE="introspection -X -debug -doc -test" 
[ebuild  N    ] dev-python/pycairo-1.10.0-r1  USE="svg -doc -examples -test" 
[ebuild  N    ] x11-libs/gtk+-2.24.5-r1  USE="introspection (-aqua) -cups -debug -doc -examples -test -vim-syntax -xinerama" 
[ebuild  N    ] gnome-base/libglade-2.6.4  USE="-doc -static-libs -test" 
[ebuild  N    ] dev-python/pygtk-2.24.0-r1  USE="-doc -examples -test" 
[ebuild  N    ] www-client/ttb-0.9.4
Comment 16 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2016-06-08 16:46:50 UTC
Hello, everyone.

It seems that at least one ebuild related to this bug exists in the Sunrise overlay at the moment. However, I have to regretfully announce that after a long inactivity period the Sunrise project has been discontinued and the related overlay will be eventually removed. For this reason, I'd like to ask you to reevaluate the ebuilds and consider moving them. If you'd like to maintain a package from Sunrise in Gentoo, please take a look at our Proxy Maintainers [1] project.

Please make sure to take ebuilds from the unreviewed developer Sunrise repository [2] rather than the -reviewed one, since the latter has not been updated for over a year. While at it, please note that:

1. Adding a package to Gentoo requires declaring yourself as an active maintainer for it. All bugs regarding the package will be assigned to you, and you will be expected to maintain it.

2. Some packages may not be suitable for addition anymore. While there's no strong rules that would prevent you from adding a package, it may be a bad idea to add old-unmaintained packages that will shortly result in a large number of bugs reported with no solution. If that is the case, please close the bug as RESOLVED/OBSOLETE to make it easier to find packages worth adding.

3. Some of the bugs were already closed as WONTFIX/OBSOLETE/... while the relevant ebuild was kept in Sunrise. If you disagree with the original decision, you still can add the ebuild via proxy-maint.

4. Pleaes note that many of the Sunrise ebuilds are old and may be buggy. If you decide to move them, please make sure to update/clean them up. The proxy-maint team will also review your ebuilds, therefore making sure they land in Gentoo in good quality.

Once again, thank you for your contribution. We hope that you will still want to contribute to Gentoo, through proxy-maint or otherwise.


[1]:https://wiki.gentoo.org/wiki/Project:Proxy_Maintainers
[2]:https://gitweb.gentoo.org/proj/sunrise.git/